Ostilhoù testenn ha roll
Naetaat, keñveriañ ha muzuliañ ar c'hendalc'had hep pellgargañ roadennoù labour.
Kreizañ al linennoù destenn
Kreizit pep linenn e-barzh un ledad resis a karakterioù Unicode en ur zerc'hel ar c'hemerzhioù goullo hag en ur nac'hañ an dronkañ distrujus.
Digor an ostilh →Dilemel rakgerioù diwar ar gerioù
Dilemel un tamm talbenn resis eus gerioù Unicode o kenglotañ ha lezel arouezioù-pik, esaouennoù ha gerioù na glotont ket didrouz.
Digor an ostilh →Dilemel ar rakger diouzh gerioù
Dilemel un diwezhadenn resis eus gerioù Unicode a glot hep plaenaat an dispartierioù pe kemmañ gerioù na zougent ket an diwezhadenn-se.
Digor an ostilh →Enlakaat ul linenn disparti etre an arouezioù
Lakait ur disranner dibabet etre poentoù kod Unicode hep spizañ koubladoù surrogat evel an emoji e hanteradoù diresis.
Digor an ostilh →Menegiñ pep linenn destenn
Laka pep linenn en diabarzh naill ai daou askornig, askornig single pe backticks, en ur virout ar linennoù goullo hag urzh orin al linennoù.
Digor an ostilh →Dilemel ar pedennoù-meneg eus al linennoù testenn
Dilemel ur bilhedit faout ezveziad diavaez pep linenn en ur implijout klotañ emgefreek pe ent-eeun gant ar stil-marc'hata.
Digor an ostilh →Menegiñ pep ger
Tro anvez pep token ger Unicode gant ur c'homz dibabet e-pad ma tavit ar skejadur, an niverennoù ha an esaou orin.
Digor an ostilh →Dilemel ar menegoù diwar gerioù
Dizoloit gerioù Unicode mard eo ar c'homzoù div wech evit pep hini pa glot an daou arouezenn skrid, hep dilemel arouezioù skrid all ha n'int ket liammet gant ar frazenn.
Digor an ostilh →Reizhañ al linennoù goullo
Bevenniñ niver al linennoù goullo a-stok betek ur muzhul resis, en ur virout an dalc’hadur hag an holl linennadoù hep lec’h.
Digor an ostilh →Amdreiñ ar spasioù da linennoù nevez
Troc'h pep token disrannet gant eul leunadenn e ul linenn, ha stlakkañ an eginoù anegadek eus an espas, an tabuloù hag an torradoù linennoù a zo anezho dija, en un doare dermeniñ.
Digor an ostilh →Amdreiñ al linennoù nevez da vevenn
Stagañ linennoù testenn nullet gant ul loezenn zo-dibab ha na skeiñ nemet an ec'honenn diavaez eus pep renk.
Digor an ostilh →Analizer frekventez gerioù
Renkad an gerioù Unicode hervez o niver a reveziadoù gant hed minimum arventennet, harz disoc’h ha keñveriañ ez-lefenn-sensibl ouzh ar c’has.
Digor an ostilh →Trier an lizherennoù e-barzh ar gerioù
Renk an lizherennoù ha niverennoù Unicode e-barzh pep ger e-unan hep dilec'hiañ ar poentoù-lavar pe ar gerioù o-unan.
Digor an ostilh →Rezhiañ an holl arouezennzhioù testenn
Urzhiañ pep poent kod Unicode dre ar pennañ an holl voulladoù en enep gant tynnañ ar c'hwitellerezh en deus urzhioù pignat pe diskenn dieub.
Digor an ostilh →Niver destenn frazennoù
Lak pep frazenn bet diskouezet war he linenn niverennet dezhi, gant ur gwerzh deraouek a c'haller kefluniañ hag eizh doare merkadenn lenvus.
Digor an ostilh →Niver a rannbennadoù testenn
Niverit ar rannbennadoù dispartiet gant linennoù goullo en ur virout pep torr-linenn diabarzh ha pep furmadur eus pep rannbennad.
Digor an ostilh →Klasker frazennoù eilet
Roit ur roll eus frazennoù klok azgouarel gant an niver a wezhioù e vezont adlavaret, o implijout ur geñveriañ splann eürus dibabet pe get.
Digor an ostilh →Dizolouer frazennoù unvan
Dalc'h an arnodenn kentañ eus pep frazenn klok ha dilemel eilañ ezo diwezhatoc'h hervez ur reolenn case dibar.
Digor an ostilh →Kodellour ha diverker testenn Base32
Amdreiñ testennoù UTF-8 da Base32 RFC 4648 skoueriek pe zizoloiñ strizh ur werzh Base32 gant pe hep padding.
Digor an ostilh →Koderrer ha dizkoderrer testenn Base32hex
Enkodañ ha dekodañ UTF-8 gant al lizherenneg Base32 hegzavedek astennet despizet gant RFC 4648 lodenn 7.
Digor an ostilh →Amgoderez ha dizamgoder Testenn Base45
Treiñ an destenn UTF-8 gant lizherenneg boutin RFC 9285 Base45 implijet gant ar stummoù roadennoù diazezet war QR.
Digor an ostilh →Amgodoù ha ziwadoù testenn Bitcoin Base58
Amdreiñ byteoù UTF-8 gant lizherenneg Base58 ar Bitcoin en ur virout rik ar byteoù null pennañ.
Digor an ostilh →Amgodiñ ha dilemel testenn Ascii85
Enkodiñ UTF-8 e strolladoù Ascii85 pemp arouezenn pe zenkodiñ roadennoù strizh kompatibl gant Adobe gant dispartierzhioù dewisus ha z compression.
Digor an ostilh →Encoder ha Decoder testenn Quoted-Printable
Enkodañ testenn skritur-ezof mail e UTF-8 evel quoted-printable RFC 2045 pe dekodiñ an treuzskrivadurioù bras gwiriekaet hag al linennoù trouzhet gant ar merdeer.
Digor an ostilh →N'eus ostilh ebet a glot gant ar pezh zo war ar bajenn-mañ.